# Class GMResetGrid

java.lang.Object
GMResetGrid

All Implemented Interfaces:
  `ActionListener`, `EventListener`

public class GMResetGrid extends Object implements ActionListener
La classe GMResetGrid sert à crée une nouvelle grille de 0.

## Constructor Summary

Constructors
Constructor
Description
`GMResetGrid(GMGrid grid)`
Constructeur pour créer une instance de GMResetGrid.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Lance la réinitialisation de la grille lors du clic sur le bouton Reset.
`void`
`ResetGrid()`
Cette méthode crée une grille vide.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMResetGrid

public GMResetGrid(GMGrid grid)
Constructeur pour créer une instance de GMResetGrid.

Parameters:
  `grid` - Grille à réinitialiser

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Lance la réinitialisation de la grille lors du clic sur le bouton Reset.

Specified by:
  `actionPerformed` in interface `ActionListener`
Parameters:
  `e` - ActionEvent lié à la classe

### ResetGrid

public void ResetGrid()
Cette méthode crée une grille vide.